#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-File-Remove
Version		:	1.58
Release		:	17.2.0.rel%{?dist}
Summary		:	Remove files and directories

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch
#-----------------------------------------------------------------------------
BuildRequires	:	perl

Requires	:	perl

#-----------------------------------------------------------------------------
%description
File::Remove::remove removes files and directories.
It acts like /bin/rm, for the most part. Although
unlink can be given a list of files, it will not
remove directories; this module remedies that. It
also accepts wildcards, * and ?, as arguments for
filenames.

File::Remove::trash accepts the same arguments as
remove, with the addition of an optional, infrequently
used "other platforms" hashref.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%license LICENSE
%{_datadir}/perl5/core_perl/File/Remove.pm
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
